Project Chrono: chrono::viper::ViperUpright Class Reference

Public Member Functions | List of all members
chrono::viper::ViperUpright Class Reference
Models » Robot models » Viper moon rover model

## Description

Steering rod of the Viper rover.

The steering rod is connected to the steering cyl, this link is controlled steering. There are two connecting rods on the steering rod, linking to upper and bottom arms of the suspension.

`#include <Viper.h>`

Inheritance diagram for chrono::viper::ViperUpright:
[legend]
Collaboration diagram for chrono::viper::ViperUpright:
[legend]

## Public Member Functions
| ViperUpright (const std::string &name, const ChFrame<> &rel_pos, std::shared_ptr< ChContactMaterial > mat, const int &side)
Public Member Functions inherited from chrono::viper::ViperPart
| ViperPart (const std::string &name, const ChFrame<> &rel_pos, std::shared_ptr< ChContactMaterial > mat, bool collide)
const std::string & | GetName () const
| Return the name of the part.
void | SetName (const std::string &name)
| Set the name of the part.
void | SetVisualize (bool state)
| Enable/disable visualization.
void | EnableCollision (bool state)
| Enable/disable collision.
void | Initialize (std::shared_ptr< ChBodyAuxRef > chassis)
| Initialize the rover part by attaching it to the specified chassis body.
std::shared_ptr< ChBodyAuxRef > | GetBody () const
| Return the ChBody of the corresponding Viper part.
const ChVector3d & | GetPos () const
| Return the position of the Viper part.
const ChQuaternion & | GetRot () const
| Return the rotation of the Viper part.
const ChVector3d & | GetLinVel () const
| Return the linear velocity of the Viper part.
const ChVector3d | GetAngVel () const
| Return the angular velocity of the Viper part.
const ChVector3d & | GetLinAcc () const
| Return the linear acceleration of the Viper part.
const ChVector3d | GetAngAcc () const
| Return the angular acceleratino of the Viper part.

## Additional Inherited Members
Protected Member Functions inherited from chrono::viper::ViperPart
void | CalcMassProperties (double density)
| Utility function for calculating mass properties using the part's collision mesh.
void | Construct (ChSystem *system)
| Construct the part body.
Protected Attributes inherited from chrono::viper::ViperPart
std::string | m_name
| part name
std::shared_ptr< ChBodyAuxRef > | m_body
| part rigid body
std::shared_ptr< ChContactMaterial > | m_mat
| contact material
std::string | m_mesh_name
| visualization mesh name
ChFrame | m_mesh_xform
| mesh transform (translate, rotate, scale)
ChColor | m_color
| visualization asset color
ChFrame | m_pos
| relative position wrt the chassis
double | m_mass
| mass
ChVector3d | m_inertia
| principal moments of inertia
ChFrame | m_cog
| COG frame (relative to body frame).
bool | m_visualize
| part visualization flag
bool | m_collide
| part collision flag

## Constructor & Destructor Documentation

## ◆ ViperUpright()

chrono::viper::ViperUpright::ViperUpright | ( | const std::string & | name,
|  | const ChFrame<> & | rel_pos,
|  | std::shared_ptr< ChContactMaterial > | mat,
|  | const int & | side )

Parameters

  name | part name
  rel_pos | position relative to chassis frame
  mat | contact material
  side | vehicle side 0: L, 1: R

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono_models/robot/viper/Viper.h
- D:/W/B/src/chrono-9.0.1/src/chrono_models/robot/viper/Viper.cpp